/* ------------------- */
/* Reset               */
/* ------------------- */

/* https://piccalil.li/blog/a-modern-css-reset/ */

/* Box sizing */
*,
*::before,
*::after {
    box-sizing: border-box;
}

/* Reset margins */
body,
h1,
h2,
h3,
h4,
h5,
p,
figure,
picture {
    margin: 0;
}

/* set up the body */
body {
    line-height: 1.5;
    min-height: 100vh;
}

/* make images easier to work with */
img,
picutre {
    max-width: 100%;
    display: block;
}

/* make form elements easier to work with */
input,
button,
textarea,
select {
    font: inherit;
}

/* remove animations for people who've turned them off */
@media (prefers-reduced-motion: reduce) {  
  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}
@font-face {
  font-family: yekan;
  src: url(../fonts/yekan/yekan-regular.eot);
  src: url(../fonts/yekan/yekan-regular.ttf);
  src: url(../fonts/yekan/yekan-regular.woff);
}
@font-face {
font-family: IRANSansX;
font-style: normal;
font-weight: 700;
src: url('../fonts/woff/IRANSansX-Bold.woff') format('woff'),   
url('../fonts/woff2/IRANSansX-Bold.woff2') format('woff2');	 
}

@font-face {
font-family: IRANSansX;
font-style: normal;
font-weight: 400;
src: url('../fonts/woff2/IRANSansX-Regular.woff2') format('woff'),   
url('../fonts/woff/IRANSansX-Regular.woff') format('woff2');	
}

:root{
    --space-cadet: rgb(31, 32, 65); 
    --English-violet: rgb(75, 63, 114);
    --sunglow: rgb(255, 200, 87);
    --dark-cyan: rgb(17, 157, 164);
    --paynes-gray: rgb(25, 100, 126);
    --floral-white: rgb(254, 249, 239);
    --smokey--white: rgb(219, 217, 221);
    --english-font-popins:'Poppins', sans-serif;
    --persian-font-sans: IRANSansX;
}
body{
    height: 100vh;
    max-height: 100vh;
    background-color: var(--space-cadet);
    min-width: 360px;
}
.container{
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
}
.logo-container:first-child{
    width: 350px;
    margin-top: 0 px;
    margin-right: 10px;
}
.header{
    font-family: var(--english-font-popins);
    color: var(--sunglow);
    font-size: 38px;
    font-weight: 900;
    margin-top: 10px;
}

.article-container{
  display: none;
  user-select: none;
  text-align: center;
}
.animation-container{
  display: flex;
  justify-content: center;
  width: 100vw;
  padding: 0 15px;
}
.ask-lang{
    text-align: center;
    font-family: var(--english-font-popins);
    color: var(--floral-white);
    font-size: 30px;
    font-weight: 500;
    margin-top: 40px;
}
.lang-selection-container{
  display: flex;
  justify-content: center;
  margin-top: 50px;
}

/*bg*/
/*txt*/
/*success*/
.buttons {
    display: flex;
    justify-content: space-around;
    top: 20px;
    left: 20px;
  }
  
  .buttons button {
    font-family: var(--english-font-popins);
    font-weight: 700;
    width: 150px;
    height: 50px;
    background-color:var(--paynes-gray);
    margin: 20px;
    color: var(--floral-white);
    position: relative;
    overflow: hidden;
    font-size: 17px;
    letter-spacing: 2px;
    text-transform: uppercase;
    transition: all 0.3s ease;
    cursor: pointer;
    border: 0;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  
  .buttons button:before, .buttons button:after {
    content: "";
    position: absolute;
    width: 0;
    height: 2px;
    border-radius: 20px;
    background-color: var(--sunglow);
    transition: all 0.3s cubic-bezier(0.35, 0.1, 0.25, 1);
  }

  .buttons button:before {
    right: 0;
    top: 0;
    transition: all 0.5s cubic-bezier(0.35, 0.1, 0.25, 1);
  }
  
  .buttons button:after {
    left: 0;
    bottom: 0;
  }
  
  .buttons button span {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    margin: 0;
    padding: 0;
    z-index: 1;
  }
  
  .buttons button span:before, .buttons button span:after {
    content: "";
    position: absolute;
    width: 2px;
    height: 0;
    background-color: var(--sunglow);
    transition: all 0.3s cubic-bezier(0.35, 0.1, 0.25, 1);
  }
  
  .buttons button span:before {
    right: 0;
    top: 0;
    transition: all 0.5s cubic-bezier(0.35, 0.1, 0.25, 1);
  }
  
  .buttons button span:after {
    left: 0;
    bottom: 0;
  }
  
  .buttons button p {
    padding: 0;
    margin: 0;
    transition: all 0.4s cubic-bezier(0.35, 0.1, 0.25, 1);
    position: absolute;
    width: 100%;
    height: 100%;
  }
  
  .buttons button p:before, .buttons button p:after {
    position: absolute;
    width: 100%;
    transition: all 0.4s cubic-bezier(0.35, 0.1, 0.25, 1);
    z-index: 1;
    left: 0;
  }
  
  .buttons button p:before {
    content: attr(data-title);
    top: 50%;
    transform: translateY(-50%);
  }
  
  .buttons button p:after {
    content: attr(data-text);
    top: 150%;
    color: var(--sunglow);
  }
  
  .buttons button:hover:before, .buttons button:hover:after {
    width: 100%;
  }
  
  .buttons button:hover span {
    z-index: 1;
  }
  
  .buttons button:hover span:before, .buttons button:hover span:after {
    height: 100%;
  }
  
  .buttons button:hover p:before {
    top: -50%;
    transform: rotate(5deg);
  }
  
  .buttons button:hover p:after {
    top: 50%;
    transform: translateY(-50%);
  }
  
  .buttons button.start {
    background-color: #44d8a4;
    box-shadow: 0px 5px 10px -10px rgba(0, 0, 0, 0.2);
    transition: all 0.2s ease;
  }
  
  .buttons button.start p:before {
    top: -50%;
    transform: rotate(5deg);
  }
  
  .buttons button.start p:after {
    color: white;
    transition: all 0s ease;
    content: attr(data-start);
    top: 50%;
    transform: translateY(-50%);
    animation: start 0.3s ease;
    animation-fill-mode: forwards;
  }
  
  @keyframes start {
    from {
      top: -50%;
    }
  }
  
  .buttons button.start:hover:before, .buttons button.start:hover:after {
    display: none;
  }
  
  .buttons button.start:hover span {
    display: none;
  }
  
  .buttons button:active {
    outline: none;
    border: none;
  }
  
  .buttons button:focus {
    outline: 0;
  }


  /* text animation */

     /* Google chrome */
    /* Google chrome */
    @-webkit-keyframes svg-text-anim {
      40% {
         stroke-dashoffset: 0;
         fill: transparent;
       }
       60% {
         stroke-dashoffset: 0;
         fill: #19647e;
       }
       100% {
         stroke-dashoffset: 0;
         fill: #19647e;
       }
       
   }
   /* Most browsers */
   @keyframes svg-text-anim {
      40% {
         stroke-dashoffset: 0;
         fill: transparent;
       }
       60% {
         stroke-dashoffset: 0;
         fill: #19647e;
       }
       100% {
         stroke-dashoffset: 0;
         fill: #19647e;
       }
       
   }
   .loader {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}

.loader div {
  position: absolute;
  top: 33px;
  width: 13px;
  height: 13px;
  border-radius: 50%;
  background: #c517f0;
  animation-timing-function: cubic-bezier(0, 1, 1, 0);
}

.loader div:nth-child(1) {
  left: 8px;
  animation: flip1 0.6s infinite;
}

.loader div:nth-child(2) {
  left: 8px;
  animation: flip2 0.6s infinite;
}

.loader div:nth-child(3) {
  left: 32px;
  animation: flip2 0.6s infinite;
}

.loader div:nth-child(4) {
  left: 56px;
  animation: flip3 0.6s infinite;
}

@keyframes flip1 {
  0% {
    transform: scale(0);
  }

  100% {
    transform: scale(1);
  }
}

@keyframes flip3 {
  0% {
    transform: scale(1);
  }

  100% {
    transform: scale(0);
  }
}

@keyframes flip2 {
  0% {
    transform: translate(0, 0);
  }

  100% {
    transform: translate(24px, 0);
  }
}

/* loader styles  */
.loader-container{
  background-color: var(--space-cadet);
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1000;
  display: flex;
  justify-content: center;
  align-items: center;
}
.dots {
  width: var(--size);
  height: var(--size);
  position: relative;
}

.dot {
  width: var(--size);
  height: var(--size);
  animation: dwl-dot-spin calc(var(--speed) * 5) infinite linear both;
  animation-delay: calc(var(--i) * var(--speed) / (var(--dot-count) + 2) * -1);
  rotate: calc(var(--i) * var(--spread) / (var(--dot-count) - 1));
  position: absolute;
}

.dot::before {
  content: "";
  display: block;
  width: var(--dot-size);
  height: var(--dot-size);
  background-color: var(--sunglow);
  border-radius: 50%;
  position: absolute;
  transform: translate(-50%, -50%);
  bottom: 0;
  left: 50%;
}

@keyframes dwl-dot-spin {
  0% {
    transform: rotate(0deg);
    animation-timing-function: cubic-bezier(0.390, 0.575, 0.565, 1.000);
    opacity: 1;
  }

  2% {
    transform: rotate(20deg);
    animation-timing-function: linear;
    opacity: 1;
  }

  30% {
    transform: rotate(180deg);
    animation-timing-function: cubic-bezier(0.445, 0.050, 0.550, 0.950);
    opacity: 1;
  }

  41% {
    transform: rotate(380deg);
    animation-timing-function: linear;
    opacity: 1;
  }

  69% {
    transform: rotate(520deg);
    animation-timing-function: cubic-bezier(0.445, 0.050, 0.550, 0.950);
    opacity: 1;
  }

  76% {
    opacity: 1;
  }

  76.1% {
    opacity: 0;
  }

  80% {
    transform: rotate(720deg);
  }

  100% {
    opacity: 0;
  }
}